#include <iostream>;
using namespace std;
int main()
{
    int n,x,b;
    int tk=0;
    int tv=0;
    int t=0;
    int a[100][100];
    int kol[100];
    int vrs[100];
    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin >> x;
        cin >> b;
        a[x][b]=1;
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(a[i][j]==1)
            {
                tk++;
            }
             if(a[j][i]==1)
            {
                tv++;
            }
        }
    kol[i]=tk;
    vrs[i]=tv;
    tk=0;
    tv=0;
    }
    for(int i=0;i<n;i++)
    {
      if(kol[i]>1)
      {
          while(kol[i]>1)
          {
              kol[i]--;
              for(int j=0;j<n;j++)
              {
                if(kol[j]==0)
                {
                    t=t+abs(i-j);
                    break;
                }
              }
          }
      }
        if(vrs[i]>1)
      {
          while(vrs[i]>1)
          {
              vrs[i]--;
              for(int j=0;j<n;j++)
              {
                if(vrs[j]==0)
                {
                    t=t+abs(i-j);
                    break;
                }
              }
          }
      }  
    }
cout << t;    
return 0;
}